> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Rows

> Delete rows by `external_id`.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/custom-data-sources/{id_or_slug}/rows/delete
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/custom-data-sources/{id_or_slug}/rows/delete:
    post:
      tags:
        - Custom Data Sources
      summary: Delete Rows
      description: Delete rows by `external_id`.
      operationId: core_api_v1_controllers_custom_data_sources_delete_rows
      parameters:
        - in: path
          name: id_or_slug
          schema:
            title: Id Or Slug
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RowDeleteRequestSchema'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    RowDeleteRequestSchema:
      properties:
        external_ids:
          items:
            type: string
          title: External Ids
          type: array
      required:
        - external_ids
      title: RowDeleteRequestSchema
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````